ServiceProxy (Apache Tomcat 8.5.85 API Documentation)

Package org.apache.naming.factory.webservices

## Class ServiceProxy

- java.lang.Object
- - org.apache.naming.factory.webservices.ServiceProxy

- All Implemented Interfaces:
    `java.lang.reflect.InvocationHandler`

      public class ServiceProxy
      extends java.lang.Object
      implements java.lang.reflect.InvocationHandler

  Object proxy for Web Services.
  Author:
    Fabien Carrion

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceProxy​(Service service)` | Constructs a new ServiceProxy wrapping given Service instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `invoke​(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)` |
    `void` | `setPortComponentRef​(java.util.Hashtable<java.lang.String,​javax.xml.namespace.QName> portComponentRef)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceProxy

          public ServiceProxy​(Service service)
                       throws ServiceException

      Constructs a new ServiceProxy wrapping given Service instance.
      Parameters:
        `service` - the wrapped Service instance
      Throws:
        `ServiceException` - should be never thrown

  - ### Method Detail

    - #### invoke

          public java.lang.Object invoke​(java.lang.Object proxy,
                                         java.lang.reflect.Method method,
                                         java.lang.Object[] args)
                                  throws java.lang.Throwable

      Specified by:
        `invoke` in interface `java.lang.reflect.InvocationHandler`
      Throws:
        `java.lang.Throwable`
      See Also:
        `InvocationHandler.invoke(Object, Method, Object[])`

    - #### setPortComponentRef

          public void setPortComponentRef​(java.util.Hashtable<java.lang.String,​javax.xml.namespace.QName> portComponentRef)

      Parameters:
        `portComponentRef` - List